summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSteve Kemp <steve@steve.org.uk>2012-11-26 14:23:18 +0000
committerSteve Kemp <steve@steve.org.uk>2012-11-26 14:23:18 +0000
commit17935aeca6166d84979104e32d38b625ff27e105 (patch)
tree76ec98062b4ff44b1ea9710011aa4265b2aca904
parentb2538a1eed80ed687388bb19de7f05c1d35ec716 (diff)
Added a post-installation script to restart the agents, after flushing
the queue, when we've upgraded.
-rwxr-xr-xdebian/postinst37
1 files changed, 37 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100755
index 0000000..c72c7ac
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# Once we've installed the package explicitly flush the queue,
+# to cover cases when the format changes.
+#
+# If we're running @Bytemark restart the worker processes
+#
+
+set -e
+
+
+#
+# Skip, if we are not in "configure" state
+#
+if [ "$1" != "configure" ]; then
+ echo "I: Skipping configuration"
+ exit 0
+fi
+
+
+#
+# 1. Flush the queue
+#
+custodian-queue --flush || true
+
+#
+# 2. If we have agents then restart them
+#
+if [ -d /etc/service ]; then
+ test -d /etc/service/custodian-agent1 && sv restart /etc/service/custodian-agent1/
+ test -d /etc/service/custodian-agent2 && sv restart /etc/service/custodian-agent2/
+ test -d /etc/service/custodian-agent3 && sv restart /etc/service/custodian-agent3/
+ test -d /etc/service/custodian-agent4 && sv restart /etc/service/custodian-agent4/
+fi
+
+#DEBHELPER#
+exit 0